"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.keysTypeMap = exports.publicKey = void 0;
const web3_js_1 = require("@solana/web3.js");
const beet_1 = require("@metaplex-foundation/beet");
const package_json_1 = require("../package.json");
const BEET_SOLANA_PACKAGE = package_json_1.name;
const SOLANA_WEB3_PACKAGE = '@solana/web3.js';
const uint8Array32 = (0, beet_1.fixedSizeUint8Array)(32);
exports.publicKey = {
    write: function (buf, offset, value) {
        const arr = value.toBytes();
        uint8Array32.write(buf, offset, arr);
    },
    read: function (buf, offset) {
        const bytes = uint8Array32.read(buf, offset);
        return new web3_js_1.PublicKey(bytes);
    },
    byteSize: uint8Array32.byteSize,
    description: 'PublicKey',
};
exports.keysTypeMap = {
    publicKey: {
        beet: 'publicKey',
        sourcePack: BEET_SOLANA_PACKAGE,
        ts: 'PublicKey',
        pack: SOLANA_WEB3_PACKAGE,
    },
};
//# sourceMappingURL=keys.js.map